Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.lineage
Class ValueLineage

    java.lang.Object
      org.pentaho.di.lineage.ValueLineage

    public class ValueLineage

extends Object

This class contains value lineage information.
That means that we will have information on where and how a certain value is originating, being manipulated etc.

Author:
  matt

Constructor Summary
`ValueLineage(TransMeta transMeta, org.pentaho.di.core.row.ValueMeta valueMeta)` Create a new ValueLineage object with an empty set of source steps.

Method Summary
`List<StepMeta>` | `getSourceSteps()`
`TransMeta` | `getTransMeta()`
`org.pentaho.di.core.row.ValueMeta` | `getValueMeta()`
`void` | `setSourceSteps(List<StepMeta> sourceSteps)`
`void` | `setTransMeta(TransMeta transMeta)`
`void` | `setValueMeta(org.pentaho.di.core.row.ValueMeta valueMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueLineage

    public ValueLineage(TransMeta transMeta,
                        org.pentaho.di.core.row.ValueMeta valueMeta)

  Create a new ValueLineage object with an empty set of source steps.

  Parameters:
    `valueMeta` -

Method Detail

### getTransMeta

    public TransMeta getTransMeta()

  Returns:
    the transMeta

### setTransMeta

    public void setTransMeta(TransMeta transMeta)

  Parameters:
    `transMeta` - the transMeta to set

### getValueMeta

    public org.pentaho.di.core.row.ValueMeta getValueMeta()

  Returns:
    the valueMeta

### setValueMeta

    public void setValueMeta(org.pentaho.di.core.row.ValueMeta valueMeta)

  Parameters:
    `valueMeta` - the valueMeta to set

### getSourceSteps

    public List<StepMeta> getSourceSteps()

  Returns:
    the sourceSteps

### setSourceSteps

    public void setSourceSteps(List<StepMeta> sourceSteps)

  Parameters:
    `sourceSteps` - the sourceSteps to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD